Bug 13928 - no whatis info in some man pages generated by doxygen
Summary: no whatis info in some man pages generated by doxygen
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libstdc++ (show other bugs)
Version: 3.4.0
: P2 normal
Target Milestone: 3.4.1
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-30 08:28 UTC by Debian GCC Maintainers
Modified: 2004-05-22 11:58 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2004-01-30 12:24:02


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Debian GCC Maintainers 2004-01-30 08:28:36 UTC
[forwarded from http://bugs.debian.org/229642]

some parts of the code don't have a @brief section, resulting in an incomplete
synopsis for the doxygen generated man pages.

$ man -k std:: | grep unknown
std::__debug_alloc (3) - (unknown subject)
std::__debug_alloc - (3) [std::__debug_alloc] - (unknown subject)
std::__default_alloc_template (3) - (unknown subject)
std::__default_alloc_template - (3) [std::__default_alloc_template] - (unknown
subject)
std::__malloc_alloc_template (3) - (unknown subject)
std::__malloc_alloc_template - (3) [std::__malloc_alloc_template] - (unknown
subject)
std::Alloc_traits (3) - (unknown subject)
std::Alloc_traits - (3) [std::Alloc_traits] - (unknown subject)
std::auto_ptr_ref (3) - (unknown subject)
std::auto_ptr_ref - (3) [std::auto_ptr_ref] - (unknown subject)
std::bad_exception (3) - (unknown subject)
std::bad_exception - (3) [std::bad_exception] - (unknown subject)
std::bad_typeid (3)  - (unknown subject)
std::bad_typeid - (3) [std::bad_typeid] - (unknown subject)
std::binary_function (3) - (unknown subject)
std::binary_function - (3) [std::binary_function] - (unknown subject)
std::bitset::reference - (3) [std::bitset_reference] - (unknown subject)
std::bitset_reference (3) - (unknown subject)
std::domain_error (3) - (unknown subject)
std::domain_error - (3) [std::domain_error] - (unknown subject)
std::fpos (3)        - (unknown subject)
std::fpos - (3) [std::fpos] - (unknown subject)
std::invalid_argument (3) - (unknown subject)
std::invalid_argument - (3) [std::invalid_argument] - (unknown subject)
std::iterator_traits (3) - (unknown subject)
std::iterator_traits - (3) [std::iterator_traits] - (unknown subject)
std::length_error (3) - (unknown subject)
std::length_error - (3) [std::length_error] - (unknown subject)
std::new_alloc (3)   - (unknown subject)
std::new_alloc - (3) [std::new_alloc] - (unknown subject)
std::out_of_range (3) - (unknown subject)
std::out_of_range - (3) [std::out_of_range] - (unknown subject)
std::overflow_error (3) - (unknown subject)
std::overflow_error - (3) [std::overflow_error] - (unknown subject)
std::range_error (3) - (unknown subject)
std::range_error - (3) [std::range_error] - (unknown subject)
std::raw_storage_iterator (3) - (unknown subject)
std::raw_storage_iterator - (3) [std::raw_storage_iterator] - (unknown subject)
std::reverse_iterator (3) - (unknown subject)
std::reverse_iterator - (3) [std::reverse_iterator] - (unknown subject)
std::simple_alloc (3) - (unknown subject)
std::simple_alloc - (3) [std::simple_alloc] - (unknown subject)
std::unary_function (3) - (unknown subject)
std::unary_function - (3) [std::unary_function] - (unknown subject)
std::underflow_error (3) - (unknown subject)
std::underflow_error - (3) [std::underflow_error] - (unknown subject)
Comment 1 Andrew Pinski 2004-01-30 12:24:02 UTC
Confirmed.
Comment 2 CVS Commits 2004-05-20 19:27:28 UTC
Subject: Bug 13928

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	bkoz@gcc.gnu.org	2004-05-20 18:52:09

Modified files:
	libstdc++-v3   : ChangeLog 
	libstdc++-v3/docs/doxygen: Intro.3 guide.html run_doxygen 
	                           stdheader.cc user.cfg.in 

Log message:
	2004-05-20  Benjamin Kosnik  <bkoz@redhat.com>
	
	PR libstdc++/15123
	PR libstdc++/13928
	* docs/doxygen/Intro.3: Remove Allocators.3.
	Add new extension headers, extension namespace list.
	* docs/doxygen/run_doxygen (problematic): Remove Allocators.3
	Rename GLIBCXXSTD names to std::. Rename __gnu_debug to
	__gnu_debug::. Remove __policy_ renames.
	* docs/doxygen/guide.html: Add dot note.
	* docs/doxygen/stdheader.cc: Edit, add files.
	* docs/doxygen/user.cfg.in: Regenerate with Doxygen 1.3.7.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/ChangeLog.diff?cvsroot=gcc&r1=1.2484&r2=1.2485
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/Intro.3.diff?cvsroot=gcc&r1=1.8&r2=1.9
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/guide.html.diff?cvsroot=gcc&r1=1.3&r2=1.4
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/run_doxygen.diff?cvsroot=gcc&r1=1.25&r2=1.26
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/stdheader.cc.diff?cvsroot=gcc&r1=1.2&r2=1.3
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/user.cfg.in.diff?cvsroot=gcc&r1=1.28&r2=1.29

Comment 3 CVS Commits 2004-05-22 05:07:27 UTC
Subject: Bug 13928

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_4-branch
Changes by:	bkoz@gcc.gnu.org	2004-05-22 05:07:20

Modified files:
	libstdc++-v3   : ChangeLog 
	libstdc++-v3/docs/doxygen: Intro.3 guide.html run_doxygen 
	                           stdheader.cc user.cfg.in 
	libstdc++-v3/docs/html: abi.html 

Log message:
	2004-05-21  Benjamin Kosnik  <bkoz@redhat.com>
	
	* docs/html/abi.html (libgcc_s): Additions suggested by Matthias Klose.
	* docs/doxygen/Intro.3: Subtractions suggested by Phil Edwards.
	
	2004-05-21  Benjamin Kosnik  <bkoz@redhat.com>
	
	PR libstdc++/15123
	PR libstdc++/13928
	* docs/doxygen/Intro.3: Remove Allocators.3.
	Add new extension headers, extension namespace list.
	* docs/doxygen/run_doxygen (problematic): Remove Allocators.3
	Rename GLIBCXXSTD names to std::. Rename __gnu_debug to
	__gnu_debug::. Remove __policy_ renames.
	* docs/doxygen/guide.html: Add dot note.
	* docs/doxygen/stdheader.cc: Edit, add files.
	* docs/doxygen/user.cfg.in: Regenerate with Doxygen 1.3.7.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.2224.2.109&r2=1.2224.2.110
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/Intro.3.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.8&r2=1.8.20.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/guide.html.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.3&r2=1.3.14.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/run_doxygen.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.25&r2=1.25.10.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/stdheader.cc.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.2&r2=1.2.32.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/doxygen/user.cfg.in.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.28&r2=1.28.10.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/html/abi.html.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.2.2.1&r2=1.2.2.2

Comment 4 Andrew Pinski 2004-05-22 11:58:28 UTC
Fixed in 3.4.1 and above.